class MuseSetupInfo(object):
    @staticmethod
    def basic(hdul):
        metadata = [
            "DET.DIT1: " + str(hdul["PRIMARY"].header.get("HIERARCH ESO DET DIT1")),
            "DATANCOM: "
            + str(hdul["PRIMARY"].header.get("HIERARCH ESO PRO DATANCOM", "N/A")),
        ]
        return metadata

    @staticmethod
    def extended(hdul):
        metadata = [
            "INS.MODE: "
            + str(hdul["PRIMARY"].header.get("HIERARCH ESO INS MODE", "N/A")),
            "INS.OPTI1.NAME: "
            + str(hdul["PRIMARY"].header.get("HIERARCH ESO INS OPTI1 NAME", "N/A")),
            "DET.READ.CURNAME: "
            + str(hdul["PRIMARY"].header.get("HIERARCH ESO DET READ CURNAME", "N/A")),
        ]
        return metadata

    @staticmethod
    def flat_lamp(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata

    @staticmethod
    def bias(hdul):
        metadata = MuseSetupInfo.basic(hdul)
        return metadata

    @staticmethod
    def dark(hdul):
        metadata = MuseSetupInfo.basic(hdul)
        return metadata

    @staticmethod
    def wavelength(hdul):
        metadata = MuseSetupInfo.extended(hdul)[:-1]
        return metadata

    @staticmethod
    def line_spread_function(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata

    @staticmethod
    def line_spread_function_2(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata

    @staticmethod
    def line_spread_function_lsf(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata

    @staticmethod
    def linearity_and_gain(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata

    @staticmethod
    def mask(hdul):
        metadata = MuseSetupInfo.basic(hdul)
        return metadata

    @staticmethod
    def sky_flat(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata

    @staticmethod
    def throughput(hdul):
        metadata = MuseSetupInfo.basic(hdul)
        return metadata

    @staticmethod
    def preprocess_standard(hdul):
        metadata = MuseSetupInfo.extended(hdul)[:-1]
        return metadata

    @staticmethod
    def preprocess_astrometry(hdul):
        metadata = MuseSetupInfo.extended(hdul)
        return metadata
